Subject: Re: linux-next: Fixes tag needs some work in the drivers-x86 tree

From: Darren Hart <[email-masked]>
Date: Wed, 20 Feb 2019 16:40:41 -0800

On Wed, Feb 13, 2019 at 08:45:56PM +0530, Bhardwaj, Rajneesh wrote:
> 
> On 07-Feb-19 9:25 PM, Andy Shevchenko wrote:
> > On Thu, Feb 7, 2019 at 4:06 AM Bhardwaj, Rajneesh
> > <[email-masked]> wrote:
> > > On 07-Feb-19 4:27 AM, Stephen Rothwell wrote:
> > > 
> > > Hi all,
> > > 
> > > In commit
> > > 
> > >    4284dc008f43 ("platform/x86: intel_pmc_core: Fix file permissions for ltr_show")
> > > 
> > > Fixes tag
> > > 
> > >    Fixes: 63cde0c16c67 ("platform/x86: intel_pmc_core: Show Latency Tolerance info")
> > > 
> > > has these problem(s):
> > > 
> > >    - Target SHA1 does not exist
> > > 
> > > Did you mean:
> > > 
> > >    2eb150558bb7 ("platform/x86: intel_pmc_core: Show Latency Tolerance info")
> > > 
> > > Yes, upstream commit is 2eb150558bb79ee01c39b64c2868216c0be2904f. For some reason when i do git show on my repo with both these SHA1 i see the same patch.
> > > 
> > > I will fix this in next version.
> > Hmm... this came to our published branch, i.e. for-next, would it be
> > better to update it via rebasing?
> > 
> > Darren, what do you think?
> 
> Hi Andy, I have corrected this in v2 anyway and i sent to upstream today,
> just in case you prefer it over rebasing.
> 
> https://patchwork.kernel.org/patch/10810123/
> 

While we try hard not to rebase, if the choice is to rebase for-next or send a
bad commit to upstream, I will opt for the rebase.

Andy, I would suggest doing the rebase.

-- 
Darren Hart
VMware Open Source Technology Center